import { ButtonConfig, Button } from './button';
import { UIInstanceManager } from '../uimanager';
import { PlayerAPI } from 'bitmovin-player';
/**
 * A button to play/replay a video.
 *
 * @category Buttons
 */
export declare class ReplayButton extends Button<ButtonConfig> {
    constructor(config?: ButtonConfig);
    configure(player: PlayerAPI, uimanager: UIInstanceManager): void;
}
